Bug 1296572 - WebUI - scoped search - auto complete suggests unquoted queries with using reserved words as entity names
WebUI - scoped search - auto complete suggests unquoted queries with using re...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Search (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Roman Plevka
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-07 10:13 EST by Roman Plevka
Modified: 2017-01-13 16:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-13 16:05:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 13048 None None None 2016-04-22 12:20 EDT

  None (edit)
Description Roman Plevka 2016-01-07 10:13:51 EST
Description of problem:
If user uses scoped-search reserved words (such as operators, parentheses, =, etc.) as entity attribute values (name, description, etc), auto_complete suggests using it unquoted which results in wrong query:
e.g. with organization name = AND:
'name = AND' instead of 'name = "AND"'

- applies to both Foreman and Katello pages.

Version-Release number of selected component (if applicable):
# rpm -qa katello
katello-2.5.0-2.nightly.el7.noarch
[root@smqa-x3550m3-02-vm03 ~]# rpm -qa | grep katello
katello-2.5.0-2.nightly.el7.noarch
katello-default-ca-1.0-1.noarch
katello-service-2.5.0-2.nightly.el7.noarch
katello-certs-tools-2.4.0-1.el7.noarch
katello-debug-2.5.0-2.nightly.el7.noarch
tfm-rubygem-hammer_cli_katello-0.0.19-1.el7.noarch
katello-installer-2.5.0-1.nightly.201512150136git40b4975.el7.noarch
tfm-rubygem-katello-2.5.0-.201512150057git5d138841.nightly.el7.noarch
pulp-katello-0.4-3.el7.noarch
katello-installer-base-2.5.0-1.nightly.201512150136git40b4975.el7.noarch
katello-selinux-2.2.2-1.el7.noarch
katello-common-2.5.0-2.nightly.el7.noarch
katello-repos-2.4.0-2.nightly.el7.noarch
katello-server-ca-1.0-1.noarch


How reproducible:
always

Steps to Reproduce:
1. create instance of any entity (e.g. Architecture) with a reserved word as a name (e.g. "(")
2. navigate to Hosts > Architectures
3. focus the search bar
4. click the search suggestions: name -> name = -> name = ( -> name = (( -> ...
5. click search

Actual results:
no or funky results

Expected results:
such values should appear double-quoted in the suggestion exactly as multi word values:
name = "(" -> 1 result

Additional info:
Comment 1 Roman Plevka 2016-01-07 10:15:00 EST
Created redmine issue http://projects.theforeman.org/issues/13048 from this bug
Comment 2 Bryan Kearney 2016-01-07 12:02:11 EST
Upstream bug component is Provisioning
Comment 3 Bryan Kearney 2016-07-26 15:07:07 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 4 Bryan Kearney 2016-08-10 15:12:35 EDT
Upstream bug component is Search
Comment 5 Bryan Kearney 2016-08-10 16:13:34 EDT
Upstream bug component is Provisioning
Comment 6 Bryan Kearney 2016-08-10 18:13:14 EDT
Upstream bug component is Search
Comment 7 Bryan Kearney 2017-01-13 16:05:40 EST
This has been fixed in 6.2 with the removal of active search
Comment 8 Bryan Kearney 2017-01-13 16:08:07 EST
This is an older bug which has been reported upstream. We are not going to track this bug downstream. When the upstream issue is resolved, the next build will contain the fix. Thank you.

Note You need to log in before you can comment on or make changes to this bug.